Noticias sobre Contao

Lea los anuncios oficiales Contao.

Plugin Composer para Contao 4

por

En el desarrollo de Contao 4 se ha mantenido la compatibilidad hacía las extensiones existentes de Contao 3. Estas extensiones pueden seguir siendo instaladas en la carpeta system/modules. Al eliminar el gestor de extensiones (ER2) en el Backend, actualmente no es posible de instalar las extensiones automáticamente ni de actualizarlas.

La instalación de paquetes de PHP por el Composer se ha convertido en el estándar-De-Facto para PHP. Ya para Contao 3 está disponible un Plugin Composer, que permite la instalación de extensiones Contao (en la carpeta system/modules) utilizando el Composer. Este Plugin no era compatible con Contao 4, por lo que la instalación automática de extensiones en Contao 4 no era posible.

El Plugin Composer ha sido renovado por el Grupo de trabajo de desarrollo del Core en colaboración con la Alianza de la Comunidad Contao. Para poder efectuar una instalación de una extensión existente en Contao 4, se tiene que ajustar el composer.json. Instrucciones detalladas para desarolladores se encuentran en el README del Plugin.

Con un pequeño ajuste se pueden hacer disponibles las extensiones existentes para Contao 4.
Ya que el Composer actualmente solo esta disponible en la línea de comando, queremos recomendar el artículo de Webkrauts „Sin miedo del terminal“ (en inglés). Por supuesto, seguimos trabajando en el Contao Package Manager, la interfaz gráfica para el Composer, que está siendo financiada por la asociación Contao.

Nota: En Contao 4 las extensiones deben ser activadas después de la instalación. Hay un video de la Academia Contao con instrucciones en alemán, pero viendo los pasos es una ayuda para la instalación de una extensión en Contao 4 en YouTube.

Volver al índice de noticias.

Comentarios

Añadir comentario

Por favor, calcula 6 más 3.